package ru.amse.rakkate.crossword.logic;
import java.util.List;

public interface ITask {
    public int getMaxRow();
    public int getMaxCoulumn();
    public List<Integer>[] getRowArray();
    public List<Integer>[] getCoulumnArray();
    public int getQuantityBlocksRow(int x);
    public int getQuantityBlocksCoulumn(int y);
    public int getBlockRow(int x, int y);
    public int getBlockCoulumn(int x, int y);
    public void addBlockRow(int x, int block);
    public void addBlockCoulumn(int x, int block);
    public int getHeight();
    public int getWidth();
    public boolean getResult(IMap map);
    public int getMaxBlock(List<Integer> list);
}