
package ru.amse.rakkate.crossword.ui.editor;

import ru.amse.rakkate.crossword.logic.*;
import ru.amse.rakkate.crossword.logic.loadsave.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.xml.*;
import ru.amse.rakkate.crossword.ui.*;


public class MyJDialog {
   private JDialog myDialog;
   private IMap myMap;
   private JTextField textW;
   private JTextField textH;
   private JFrame myFrame;
   private String myName;
   
   public MyJDialog(JFrame frame, String s) {
       myFrame = frame;
       myName = s;
   }
     
    public IMap getMap() {
        return myMap;
    }   
       
    public void run() {
        myDialog = new JDialog(myFrame, myName, true);
        myDialog.setSize(200, 140);
        myDialog.setLayout(new FlowLayout(FlowLayout.LEFT));
        JLabel j1 = new JLabel("Width");
        JLabel j2 = new JLabel("Height");
        myDialog.add(j1);
        textW = new JTextField(12);
        myDialog.add(textW);
        myDialog.add(j2);
        textH = new JTextField(12);
        myDialog.add(textH);
        JButton buttonOk = new JButton("OK");
        buttonOk.addActionListener(new MyActionListener());
        myDialog.add(buttonOk);
        JButton buttonCan = new JButton("Cancel");
        buttonCan.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                myDialog.dispose();    
            }
        });
        myDialog.add(buttonCan);
        myDialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
        myDialog.setVisible(true);
    }
    
    private class MyActionListener implements ActionListener {
        public void actionPerformed(ActionEvent e) throws NumberFormatException {
            try {
                int width = Integer.valueOf(textW.getText());
                int height = Integer.valueOf(textH.getText());
                myMap = new Map(width, height); 
                myDialog.dispose();
            } catch (NumberFormatException ex) {
                JOptionPane.showMessageDialog(myDialog, ex.getMessage());
                myDialog.dispose();
                run();
            }
        }
    }  
}
