package ru.amse.rakkate.crossword.logic;
import java.util.List;


public interface IMap {
    public int  getWidth();
    public int getHeight();
    public Square getCell(int x, int y);
    public void setCell(int x, int y, Square z);
    public List<IBlock> getBlocksByRow(int y);
    public List<IBlock> getBlocksByCoulumn(int x);
    public int getSizeBlockRow(int i, int j);
    public int getSizeBlockCoulumn(int i, int j);
    public boolean controlMaximum(int i, int j, ITask t);
    public boolean controlQuantity(int i, int j, ITask t);
    public List<Integer>[] getArrayRow();
    public List<Integer>[] getArrayCoulumn();
}
