package ru.amse.rakkate.crossword.logic;

public enum State {
    MAP("map"),
    SQUARE("square"),
    TASK("task"),
    ROWS("rows"),
    ROW("row"),
    ROW_BLOCK("row_block"),
    COULUMNS("coulumns"),
    COULUMN("coulumn"),
    COULUMN_BLOCK("coulumn_block"),
    END("end");
    private String myAbbreviation;
    private State(String abr) {
        myAbbreviation = abr;
    }
    public String getAbbreviation() {
        return myAbbreviation;
    }

}

