package ru.amse.rakkate.crossword.logic.loadsave;

import java.io.*;
import java.io.FileReader;
import ru.amse.rakkate.crossword.logic.IMap;
import ru.amse.rakkate.crossword.logic.Map;
import ru.amse.rakkate.crossword.logic.Square;
import java.util.List;
import java.util.LinkedList;
import java.util.ArrayList;


public class XMLWriterTask {
    
    public void writeXML(FileWriter w, int width, int height, List<Integer> taskRow[], List<Integer> taskCoulumn[]) throws IOException {
        w.write("<?xml version = \"1.0\" encoding =\"UTF-8\" ?>\n");
        w.write("<task width  = \"" + width + "\" height = \"" + height + "\">\n");
        w.write("<rows>");
        for (int i = 0; i < height; i++ ) {
            w.write("<row>");
            for(int j: taskRow[i]) {
                w.write("<row_block>" + j + "</row_block>");
            }
            w.write("</row>");
        }
        w.write("</rows>");
        w.write("<coulumns>");
        for (int i = 0; i < width; i++ ) {
            w.write("<coulumn>");
            for(int j: taskCoulumn[i]) {
                w.write("<coulumn_block>" + j + "</coulumn_block>");
            }
            w.write("</coulumn>");
        }
        w.write("</coulumns>");
        w.write("</task>");
    }
    
}

